package com.ufo.gatling.ctrl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

import com.ufo.gatling.entity.Emp;
import com.ufo.gatling.mapper.EmpMapper;

@Controller
public class MvcCtrl {
	@Autowired
	private EmpMapper empMapper=null;
	
	// http://localhost:8080/listemps
	@GetMapping("/listemps")
	public ModelAndView index() {
		List<Emp> list=empMapper.findAll();
		
		ModelAndView mv=new ModelAndView("index");
		mv.addObject("empList", list);
		return mv;
	}
	
	// http://localhost:8080/pagedemps?start=30&size=50
	// Start:起始页
	@RequestMapping("/pagedemps")
	public String pageShowEmps(Model m,@RequestParam(value="start",defaultValue="0") int start,
			                           @RequestParam(value="size",defaultValue="20") int size) {
		List<Emp> list=empMapper.pagedEmps(start*size, (start+1)*size+1);
		m.addAttribute("empList", list);
		
		int count=empMapper.getEmpCount();
		int pageCount=count/size;
		m.addAttribute("pageCount", pageCount);
		
		int pageIndex=start;
		m.addAttribute("pageIndex", pageIndex);
		
		return "pagedemps";
	}
}
