package com.ufo.gatling.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;

import com.ufo.gatling.entity.Emp;

@Mapper
public interface EmpMapper {
	@Select("select * from hy_emp where id=#{id}")
	Emp findById(@Param("id") long id);
	
	@Select("select * from hy_emp")
	List<Emp> findAll();
	
	@Update("update hy_emp set name=#{name},salary=#{salary} where id=#{id}")
	int updateById(Emp emp);
	
	@Delete("delete from hy_emp where id=#{id}")
	int deleteById(Emp emp);
	
	@Insert("insert into hy_emp(id,name,salary) values(#{id},#{name},#{salary})")
	int insert(Emp emp);
	
	@SelectProvider(type=EmpSql.class,method="findHighLevel")
	List<Emp> findHighLevelEmps();
	
	// Start:起始行 End：结束行
	@SelectProvider(type=EmpSql.class,method="pagedEmps")
	List<Emp> pagedEmps(int start,int end);
	
	@Select("select count(*) from hy_emp")
	int getEmpCount();
}
